local _, ns = ...
local B, C, L, DB = unpack(ns)
local module = B:GetModule("AurasTable")

-- 角标的相关法术 [spellID] = {anchor, {r, g, b}, ALL}
C.CornerBuffs = {
	["PRIEST"] = {
		[17]     = {"TOPLEFT", {.7, .7, .7}},			-- 真言术盾
		[139]    = {"TOPRIGHT", {.4, .7, .2}},			-- 恢复
		[6788]   = {"TOP", {.8, .1, .1}, true},			-- 虚弱灵魂
		[41635]  = {"BOTTOMRIGHT", {.2, .7, .2}},		-- 愈合导言
		[6346]   = {"BOTTOM", {1, .8, 0}},				-- 防恐结界
	},
	["DRUID"] = {
		[467]    = {"LEFT", {.8, 1, .3}},				-- 荆棘术
		[774]    = {"TOPRIGHT", {.8, .4, .8}},			-- 回春
		[8936]   = {"RIGHT", {.2, .8, .2}},				-- 愈合
		[33763]  = {"TOPLEFT", {.2, .8, .6}},			-- 生命绽放
		[29166]  = {"TOP", {0, .4, 1}},					-- 激活
	},
	["PALADIN"] = {
		[1022]   = {"BOTTOMRIGHT", {.2, .2, 1}, true},	-- 保护
		[1044]   = {"BOTTOMRIGHT", {.89, .45, 0}, true},-- 自由
		[6940]   = {"BOTTOMRIGHT", {.89, .1, .1}, true},-- 牺牲
		[25771]  = {"TOP", {.86, .11, .11}, true},		-- 自律
	},
	["WARLOCK"] = {
		[2970]   = {"TOPRIGHT", {0, .8, .5}},			-- 侦测隐形
		[6512]   = {"TOPRIGHT", {0, .8, .5}},			-- 侦测次级隐形
		[11743]  = {"TOPRIGHT", {0, .8, .5}},			-- 侦测强效隐形
		[20707]  = {"BOTTOMRIGHT", {.8, .4, .8}, true},	-- 灵魂石
	},
	["MAGE"] = {
		[604]    = {"TOPRIGHT", {0, .8, .5}},			-- 魔法抑制
		[1008]   = {"TOPRIGHT", {1, .8, 0}},			-- 魔法增效
	},
	["WARRIOR"] = {
		[6673]   = {"TOPRIGHT", {1, .5, .2}},			-- 战斗怒吼
	},
	["SHAMAN"] = {
		[974]    = {"TOPLEFT", {1, .8, 0}},				-- 大地之盾
	},
	["HUNTER"] = {
		[34477]  = {"BOTTOMRIGHT", {.9, .1, .1}},		-- 误导
	},
	["ROGUE"] = {},
}

-- 团队框体职业相关Buffs
local list = {
	["ALL"] = {			-- 全职业
		[642] = true,		-- 圣盾术
		[871] = true,		-- 盾墙
		[1022] = true,		-- 保护祝福
		[27827] = true,		-- 救赎之魂
	},
}
module:AddClassSpells(list)